Subject: bug#48331: closed (Re: Emacs' describe-package doesn't work for packages managed by guix)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 03 Dec 2021 20:47:01 +0000

Your bug report

#48331: Emacs' describe-package doesn't work for packages managed by guix

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48331: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48331
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Emacs' describe-package doesn't work for packages managed by guix
From: Liliana Marie Prikler <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: Arun Isaac <[email-masked]>, [email-masked], Andrew Tropin <[email-masked]>
Date: Fri, 03 Dec 2021 21:46:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

At long last, I'm pushing the patch to keep -pkg.el files as well as to
load them from guix-emacs during package-initialize.  I'll hereby be
closing this bug.  Andrew, if you wish to write a phase that adds such
a file for the packages currently lacking them, I'm pretty sure we can
do with a new bug number for that :)

Thanks everyone involved for your help and patience.  Cheers

Subject: Emacs' describe-package doesn't work for packages managed by guix
From: Andrew Tropin <[email-masked]>
To: [email-masked]
Date: Mon, 10 May 2021 10:51:03 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

describe-package and list-packages do not show emacs packages, installed
with guix. Packages themselves work perfectly fine, but not listed in
list-packages and can't be accessed with describe-package.

Way to reproduce:

guix environment --pure --ad-hoc emacs emacs-treemacs

emacs -q

M-x treemacs ;; Works fine
C-h P treemacs ;; Doesn't work
M-x list-packages ;; Doesn't list treemacs

Played around with it a little bit, still not sure how to solve.